Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.webdav
Class DefaultRequestResolver

    java.lang.Object
      org.modeshape.web.jcr.webdav.DefaultRequestResolver

All Implemented Interfaces:
  RequestResolver

Deprecated. use `SingleRepositoryRequestResolver` instead for the same functionality

    @Deprecated
    public class DefaultRequestResolver

extends Object
implements RequestResolver

`RequestResolver` implementation that exists for backward compatibility.

Field Summary
`static String` | `INIT_REPOSITORY_NAME` Deprecated.
`static String` | `INIT_WORKSPACE_NAME` Deprecated.

Constructor Summary
`DefaultRequestResolver()` Deprecated.

Method Summary
`void` | `initialize(javax.servlet.ServletContext context)` Deprecated. Initialize the resolver based on the provided context
`ResolvedRequest` | `resolve(javax.servlet.http.HttpServletRequest request, String relativePath)` Deprecated. Resolve the given request to the repository, workspace, and path of the node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_REPOSITORY_NAME

    public static final String INIT_REPOSITORY_NAME

  Deprecated.
  See Also:
    Constant Field Values

### INIT_WORKSPACE_NAME

    public static final String INIT_WORKSPACE_NAME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### DefaultRequestResolver

    public DefaultRequestResolver()

  Deprecated.

Method Detail

### initialize

    public void initialize(javax.servlet.ServletContext context)

  Deprecated.
  Description copied from interface: `RequestResolver`
  Initialize the resolver based on the provided context

  Specified by:
    `initialize` in interface `RequestResolver`
  Parameters:
    `context` - the servlet context for this servlet

### resolve

    public ResolvedRequest resolve(javax.servlet.http.HttpServletRequest request,
                                   String relativePath)

  Deprecated.
  Description copied from interface: `RequestResolver`
  Resolve the given request to the repository, workspace, and path of the node

  Specified by:
    `resolve` in interface `RequestResolver`
  Parameters:
    `request` - the request to be resolved
    `relativePath` - the requested relative path; never null or empty
  Returns:
    the repository, workspace, and path to a node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.